activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hackingbear <hackingb...@gmail.com>
Subject Minimal client-side install and OSGI requirements
Date Mon, 30 Nov 2009 02:09:31 GMT

Hi,

Up to now, we have just included the activemq-all-5.3.jar along with our
client program. This JAR is pretty large. I want to see what are the minimum
AMQ JARs we need to bundle instead of the big one. In addition, as the
client program is written in Eclipse/OSGI, currently bundled in one of our
own framework plugin, so we have to specify what packages to export to the
downstream plugin's.

Our client program uses standard JMS API. The connection factory and
destinations are currently looked up from JNDI. For transports, we use
OpenWire/TCP and SSL.

What would be the JARs and exported packages I need?

Thanks
-- 
View this message in context: http://old.nabble.com/Minimal-client-side-install-and-OSGI-requirements-tp26568570p26568570.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message